#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.ClassicLayout import ClassicLayout

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc8'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 8)
__CHEETAH_genTime__ = 1187491098.8370979
__CHEETAH_genTimestamp__ = 'Sat Aug 18 20:38:18 2007'
__CHEETAH_src__ = 'prewikka/templates/UserSettings.tmpl'
__CHEETAH_srcLastModified__ = 'Wed May 16 03:30:04 2007'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class UserSettings(ClassicLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        ClassicLayout.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def main_content(self, **KWS):



        ## CHEETAH: generated from #block main_content at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_16110284 = _filter
        filterName = 'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''
<div id="fieldset_page" style="width: 430px;">

<form action="?" method="post">
''')
        if VFFSL(SL,"user.login",True): # generated from line 9, col 1
            write('''<input type="hidden" name="view" value="user_settings_modify"/>
''')
        else: # generated from line 11, col 1
            write('''<input type="hidden" name="view" value="user_settings_add"/>
''')
        write('''
<input type="hidden" name="login" value="''')
        _v = VFFSL(SL,"user.login",True) # '$user.login' on line 15, col 42
        if _v is not None: write(_filter(_v, rawExpr='$user.login')) # from line 15, col 42.
        write('''"/>

<fieldset class="fieldset_heading">
 <legend>''')
        if False:
            _("Account information")
        _v = VFFSL(SL,"_",False)("Account information") # '$_("Account information")' on line 18, col 10
        if _v is not None: write(_filter(_v, rawExpr='$_("Account information")')) # from line 18, col 10.
        write('''</legend>

  <table>
''')
        if VFFSL(SL,"user.login",True): # generated from line 21, col 1
            write('''   <tr>
    <th style="vertical-align: middle;">''')
            if False:
                _("Login:")
            _v = VFFSL(SL,"_",False)("Login:") # '$_("Login:")' on line 23, col 41
            if _v is not None: write(_filter(_v, rawExpr='$_("Login:")')) # from line 23, col 41.
            write('''</th>
    <td style="text-align:right; vertical-align: middle;">
     <h2 style="vertical-align: middle; padding:0px; margin:0px;"><b>''')
            _v = VFFSL(SL,"user.login",True) # '$user.login' on line 25, col 70
            if _v is not None: write(_filter(_v, rawExpr='$user.login')) # from line 25, col 70.
            write('''</b></h2>
    </td>
   </tr>
''')
        else: # generated from line 28, col 1
            write('''
''')
            if VFFSL(SL,"errmsg",True): # generated from line 30, col 4
                write('''   <tr>
\t<td colspan=2><font style="color: red;">''')
                _v = VFFSL(SL,"errmsg",True) # '$errmsg' on line 32, col 42
                if _v is not None: write(_filter(_v, rawExpr='$errmsg')) # from line 32, col 42.
                write('''</font></td>
   </tr>
''')
            write('''
   <tr>
    <th>Login:</th>
    <td style="text-align: right;"><input type="text" name="login"/></td>
   </tr>
''')
        write('''
   <tr>
    <th style="vertical-align: middle;">''')
        if False:
            _("Language:")
        _v = VFFSL(SL,"_",False)("Language:") # '$_("Language:")' on line 43, col 41
        if _v is not None: write(_filter(_v, rawExpr='$_("Language:")')) # from line 43, col 41.
        write('''</th>
    <td style="text-align:right; vertical-align: middle;">
     <select name="language">
''')
        for lang, identifier in VFFSL(SL,"available_languages",True): # generated from line 46, col 1
            if VFFSL(SL,"user.language",True) == VFFSL(SL,"identifier",True): # generated from line 47, col 1
                selected = " selected=true"
            else: # generated from line 49, col 1
                selected = ""
            write('''     <option value="''')
            _v = VFFSL(SL,"identifier",True) # '$identifier' on line 52, col 21
            if _v is not None: write(_filter(_v, rawExpr='$identifier')) # from line 52, col 21.
            write('''"''')
            _v = VFFSL(SL,"selected",True) # '$selected' on line 52, col 33
            if _v is not None: write(_filter(_v, rawExpr='$selected')) # from line 52, col 33.
            write('''>''')
            _v = VFFSL(SL,"lang",True) # '$lang' on line 52, col 43
            if _v is not None: write(_filter(_v, rawExpr='$lang')) # from line 52, col 43.
            write('''</option>
''')
        write('''     </select>
    </td>
   </tr>
   

''')
        row_classes = ("table_row_even", "table_row_odd")
        write('''
<tr class="nodash" style="padding:0; margin:0;">
 <th class="nodash">''')
        if False:
            _("Permissions:")
        _v = VFFSL(SL,"_",False)("Permissions:") # '$_("Permissions:")' on line 62, col 21
        if _v is not None: write(_filter(_v, rawExpr='$_("Permissions:")')) # from line 62, col 21.
        write('''</th>
 <td class="nodash"></td>
</tr>

<tr style="padding:0; margin:0;">
 <td colspan=2>
 <table>

''')
        cnt = 0
        checked_cnt = 0
        write('''
''')
        if VFFSL(SL,"can_manage_user",True): # generated from line 73, col 1
            disabled = ""
        else: # generated from line 75, col 1
            disabled = "disabled=\"disabled\""
        write('''
''')
        for perm, value in VFFSL(SL,"user.permissions",True): # generated from line 79, col 7
            write('''      <tr class="''')
            _v = VFFSL(SL,"row_classes",True)[VFFSL(SL,"cnt",True)%2] # '$row_classes[$cnt%2]' on line 80, col 18
            if _v is not None: write(_filter(_v, rawExpr='$row_classes[$cnt%2]')) # from line 80, col 18.
            write('''">
       <td style="text-align: left;">''')
            _v = VFFSL(SL,"perm",True) # '$perm' on line 81, col 38
            if _v is not None: write(_filter(_v, rawExpr='$perm')) # from line 81, col 38.
            write('''</td>
       <td style="text-align: right;">
''')
            if VFFSL(SL,"value",True): # generated from line 83, col 9
                checked_cnt += 1
                checked = "checked=\"checked\""
            else: # generated from line 86, col 9
                checked = ""
            write('''        <input class="checkbox" type="checkbox" name="permissions" value="''')
            _v = VFFSL(SL,"perm",True) # '$perm' on line 89, col 75
            if _v is not None: write(_filter(_v, rawExpr='$perm')) # from line 89, col 75.
            write('''" ''')
            _v = VFFSL(SL,"checked",True) # '$checked' on line 89, col 82
            if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 89, col 82.
            write(''' ''')
            _v = VFFSL(SL,"disabled",True) # '$disabled' on line 89, col 91
            if _v is not None: write(_filter(_v, rawExpr='$disabled')) # from line 89, col 91.
            write(''' />
       </td>
      </tr>
''')
            cnt += 1
        write('''<tr class="nodash">
 <td class="nodash">&nbsp;</td>

''')
        if VFFSL(SL,"cnt",True) == VFFSL(SL,"checked_cnt",True): # generated from line 97, col 1
            checked = "checked=\"checked\""
        else: # generated from line 99, col 1
            checked = ""
        write('''
 <td class="nodash"style="text-align: right;"><b>''')
        if False:
            _("Check All")
        _v = VFFSL(SL,"_",False)("Check All") # '$_("Check All")' on line 103, col 50
        if _v is not None: write(_filter(_v, rawExpr='$_("Check All")')) # from line 103, col 50.
        write('''</b>
  <input ''')
        _v = VFFSL(SL,"checked",True) # '$checked' on line 104, col 10
        if _v is not None: write(_filter(_v, rawExpr='$checked')) # from line 104, col 10.
        write(''' ''')
        _v = VFFSL(SL,"disabled",True) # '$disabled' on line 104, col 19
        if _v is not None: write(_filter(_v, rawExpr='$disabled')) # from line 104, col 19.
        write(''' class="checkbox" type="checkbox" id="allbox" onclick="checkBoxByName(\'permissions\', document.forms[0].allbox.checked);"/>
 </td>
</tr>

     </table>
</td></tr>

</table>
</fieldset>
<br/>

''')
        if VFFSL(SL,"can_change_password",True): # generated from line 115, col 1
            write('''<fieldset>
  <legend>''')
            if False:
                _("Change password")
            _v = VFFSL(SL,"_",False)("Change password") # '$_("Change password")' on line 117, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("Change password")')) # from line 117, col 11.
            write('''</legend>
  <table>
''')
            if VFFSL(SL,"ask_current_password",True): # generated from line 119, col 5
                write('''    <tr>
      <th>''')
                if False:
                    _("Current password:")
                _v = VFFSL(SL,"_",False)("Current password:") # '$_("Current password:")' on line 121, col 11
                if _v is not None: write(_filter(_v, rawExpr='$_("Current password:")')) # from line 121, col 11.
                write('''</th>
      <td><input type="password" name="password_current"/></td>
    </tr>
''')
            write('''    <tr>
      <th>''')
            if False:
                _("New password:")
            _v = VFFSL(SL,"_",False)("New password:") # '$_("New password:")' on line 126, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("New password:")')) # from line 126, col 11.
            write('''</th>
      <td><input type="password" name="password_new"/></td>
    </tr>
    <tr>
      <th>''')
            if False:
                _("Confirm new password:")
            _v = VFFSL(SL,"_",False)("Confirm new password:") # '$_("Confirm new password:")' on line 130, col 11
            if _v is not None: write(_filter(_v, rawExpr='$_("Confirm new password:")')) # from line 130, col 11.
            write('''</th>
      <td><input type="password" name="password_new_confirmation"/></td>
    </tr>
  </table>
</fieldset>
<br/>
''')
        write('''
<input type="submit" value="''')
        if False:
            _("Submit Changes")
        _v = VFFSL(SL,"_",False)("Submit Changes") # '$_("Submit Changes")' on line 138, col 29
        if _v is not None: write(_filter(_v, rawExpr='$_("Submit Changes")')) # from line 138, col 29.
        write('''"/>

</form>
</div>

''')
        _filter = _orig_filter_16110284
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        self.main_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_UserSettings= 'writeBody'

## END CLASS DEFINITION

if not hasattr(UserSettings, '_initCheetahAttributes'):
    templateAPIClass = getattr(UserSettings, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(UserSettings)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=UserSettings()).run()


